using System.Text.Json.Serialization;

namespace salesbook.Maui.Core.RestClient.IntegryApi.Dto;

public class WtbUserDeviceTokenDTO
{
    [JsonPropertyName("type")]
    public string Type => "wtb_user_device_tokens";

    [JsonPropertyName("deviceToken")]
    public string DeviceToken { get; set; }

    [JsonPropertyName("userName")]
    public string Username { get; set; }

    [JsonPropertyName("appName")]
    public int AppName => 7; //salesbook

    [JsonPropertyName("platform")]
    public string Platform { get; set; }

}